# Uses of Class
org.apache.lucene.search.similarities.Similarity.SimScorer

Packages that use Similarity.SimScorer
Package
Description
org.apache.lucene.search
Code to search indices.
org.apache.lucene.search.similarities
This package contains the various ranking models that can be used in Lucene.

## Uses of Similarity.SimScorer in org.apache.lucene.search

Methods in org.apache.lucene.search that return Similarity.SimScorer
Modifier and Type
Method
Description
`Similarity.SimScorer`
LeafSimScorer.`getSimScorer()`
Return the wrapped `Similarity.SimScorer`.
`protected abstract Similarity.SimScorer`
PhraseWeight.`getStats(IndexSearcher searcher)`
Methods in org.apache.lucene.search with parameters of type Similarity.SimScorer
Modifier and Type
Method
Description
`protected abstract PhraseMatcher`
PhraseWeight.`getPhraseMatcher(LeafReaderContext context, Similarity.SimScorer scorer, boolean exposeOffsets)`
Constructors in org.apache.lucene.search with parameters of type Similarity.SimScorer
Modifier
Constructor
Description
``
`ExactPhraseMatcher(PhraseQuery.PostingsAndFreq[] postings, ScoreMode scoreMode, Similarity.SimScorer scorer, float matchCost)`
Expert: Creates ExactPhraseMatcher instance
``
`LeafSimScorer(Similarity.SimScorer scorer, LeafReader reader, String field, boolean needsScores)`
Sole constructor: Score documents of `reader` with `scorer`.
``
`MaxScoreCache(ImpactsSource impactsSource, Similarity.SimScorer scorer)`
Sole constructor.
``
`SloppyPhraseMatcher(PhraseQuery.PostingsAndFreq[] postings, int slop, ScoreMode scoreMode, Similarity.SimScorer scorer, float matchCost, boolean captureLeadMatch)`

## Uses of Similarity.SimScorer in org.apache.lucene.search.similarities

Methods in org.apache.lucene.search.similarities that return Similarity.SimScorer
Modifier and Type
Method
Description
`final Similarity.SimScorer`
BM25Similarity.`scorer(float boost, CollectionStatistics collectionStats, TermStatistics... termStats)`
`Similarity.SimScorer`
BooleanSimilarity.`scorer(float boost, CollectionStatistics collectionStats, TermStatistics... termStats)`
`Similarity.SimScorer`
MultiSimilarity.`scorer(float boost, CollectionStatistics collectionStats, TermStatistics... termStats)`
`final Similarity.SimScorer`
PerFieldSimilarityWrapper.`scorer(float boost, CollectionStatistics collectionStats, TermStatistics... termStats)`
`Similarity.SimScorer`
RawTFSimilarity.`scorer(float boost, CollectionStatistics collectionStats, TermStatistics... termStats)`
`abstract Similarity.SimScorer`
Similarity.`scorer(float boost, CollectionStatistics collectionStats, TermStatistics... termStats)`
Compute any collection-level weight (e.g.
`final Similarity.SimScorer`
SimilarityBase.`scorer(float boost, CollectionStatistics collectionStats, TermStatistics... termStats)`
`final Similarity.SimScorer`
TFIDFSimilarity.`scorer(float boost, CollectionStatistics collectionStats, TermStatistics... termStats)`